# Uses of Enum
io.dapr.client.domain.TransactionalStateOperation.OperationType

Packages that use TransactionalStateOperation.OperationType
Package
Description
io.dapr.client.domain

## Uses of TransactionalStateOperation.OperationType in io.dapr.client.domain

Methods in io.dapr.client.domain that return TransactionalStateOperation.OperationType
Modifier and Type
Method
Description
`TransactionalStateOperation.OperationType`
TransactionalStateOperation.`getOperation()`
`static TransactionalStateOperation.OperationType`
TransactionalStateOperation.OperationType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TransactionalStateOperation.OperationType[]`
TransactionalStateOperation.OperationType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in io.dapr.client.domain with parameters of type TransactionalStateOperation.OperationType
Modifier
Constructor
Description
``
`TransactionalStateOperation(TransactionalStateOperation.OperationType operationType, State<T> state)`
Construct an immutable transactional state operation object.